%define	name	alleyoop
%define version 0.8.2
%define release 1mdk

Summary:	Graphical frontend to Valgrind memory checker
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://alleyoop.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	%{name}-%{version}.tar.bz2

BuildRequires:	binutils-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	valgrind
# it checks for editors
BuildRequires:	emacs xemacs vim-X11
Prereq:		GConf2 >= 2.3.3
Requires:	valgrind

%description
Alleyoop is a graphical frontend to the Valgrind memory checker for
GNOME.

%prep
%setup -q

%build
# to guarantee that gvim can be found
export PATH="$PATH:/usr/X11R6/bin"

%configure2_5x --enable-vgstrpool=yes
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %{makeinstall_std}

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="development_tools_section.png" \
 longtitle="Graphical frontend to Valgrind memory checker" \
 needs="x11" \
 section="Applications/Development/Tools" \
 title="Alleyoop memory checker"
_EOF_

%find_lang %{name}

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in alleyoop; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done

%preun
if [ "$1" = "0" ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for SCHEMA in alleyoop; do
        gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
    done
fi

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_menudir}/%{name}

%changelog
* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-1mdk
- 0.8.2

* Fri Dec 12 2003 Abel Cheung <deaddog@deaddog.org> 0.8.0-3mdk
- Yet another fix

* Sat Oct 25 2003 Abel Cheung <deaddog@deaddog.org> 0.8.0-2mdk
- Fix buildrequires

* Sat Oct 25 2003 Abel Cheung <deaddog@deaddog.org> 0.8.0-1mdk
- First Mandrake package
